commit:     393f79544ba53364614e1ba41295180ea3412eef
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Mar  1 13:31:08 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Mar  1 13:33:29 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=393f7954

sys-libs/tevent: Make glibc dep conditional to elibc_glibc

 sys-libs/tevent/tevent-0.9.36.ebuild | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

diff --git a/sys-libs/tevent/tevent-0.9.36.ebuild 
b/sys-libs/tevent/tevent-0.9.36.ebuild
index 05ed9a03d3d..f646f6bbe18 100644
--- a/sys-libs/tevent/tevent-0.9.36.ebuild
+++ b/sys-libs/tevent/tevent-0.9.36.ebuild
@@ -14,17 +14,19 @@ SRC_URI="https://www.samba.org/ftp/tevent/${P}.tar.gz";
 LICENSE="GPL-3"
 SLOT="0"
 KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~arm-linux ~x86-linux"
-IUSE="python"
+IUSE="elibc_glibc python"
 
 RDEPEND=">=sys-libs/talloc-2.1.11[${MULTILIB_USEDEP}]
        python? ( ${PYTHON_DEPS} )"
 
 DEPEND="${RDEPEND}
-       net-libs/libtirpc[${MULTILIB_USEDEP}]
        >=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]
-       || (
-               net-libs/rpcsvc-proto
-               <sys-libs/glibc-2.26[rpc(+)]
+       elibc_glibc? (
+               net-libs/libtirpc[${MULTILIB_USEDEP}]
+               || (
+                       net-libs/rpcsvc-proto
+                       <sys-libs/glibc-2.26[rpc(+)]
+               )
        )
        ${PYTHON_DEPS}
 "

Reply via email to